import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:video_meta_info/flutter_video_info.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_video_info');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterVideoInfo.platformVersion, '42');
  });
}
